Subject: Re: Change to allow signal handlers to set SE and BE bits.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 09 Sep 2003 21:39:31 +0200

On Tue, 2003-09-09 at 21:19, Corey Minyard wrote:
> Paul came up with a much better method for this.  I have added a syscall
> that does a "debug" return from the signal handler.  It's much cleaner.
>
> I ahve a patch for this, and I've done a number of things besides just
> this.  I seemed bad to me to add yet another kludge to the beginning of
> DoSyscall for handling yet another signal return value.  So I turned all
> the signal return syscalls into normal syscalls.  This should speed up
> normal syscall handling by removing four instructions from the syscall
> entry.  Is this ok?

The problem with changing the signal return is that you break at least
gdb, and maybe more (g++ stack unwinding ?)

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/